#include "rgbitem.h"

RgbItem::RgbItem(Microcontroller* micro, uint32_t itemIdIn, QString name,  uint8_t value,
                 QObject* parent): Item(itemIdIn, name, value, parent), micro_(micro)
{

}

void RgbItem::enactValue(uint8_t value)
{
	assert(micro_);
	value ? micro_->rgbOn() : micro_->rgbOff();
}

void RgbItem::store(QJsonObject &json)
{
	json["Type"] = "Rgb";
	Item::store(json);
}
